// Emacs style mode select   -*- C++ -*- 
//-----------------------------------------------------------------------------
//
// $Id:$
//
// Copyright (C) 1993-1996 by id Software, Inc.
//
// This source is available for distribution and/or modification
// only under the terms of the DOOM Source Code License as
// published by id Software. All rights reserved.
//
// The source is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// FITNESS FOR A PARTICULAR PURPOSE. See the DOOM Source Code License
// for more details.
//
// DESCRIPTION:
//	Simple basic typedefs, isolated here to make it easier
//	 separating modules.
//    
//-----------------------------------------------------------------------------


#ifndef __DOOMTYPE__
#define __DOOMTYPE__


#ifndef __BYTEBOOL__
#define __BYTEBOOL__

#ifndef _MSC_VER

#ifdef __cplusplus
enum { FALSE=false, TRUE=true };
typedef int boolean;
typedef unsigned char   byte; // for v1299, now idlib/Lib.h 
#else//!_cplusplus
typedef enum { false, true } boolean;
#endif//_cplusplus

#else//_MSC_VER

//typedef int boolean;

#endif//_MSC_VER

#define boolean doom1boolean
typedef int doom1boolean;

#endif


// Predefined with some OS.
#ifdef LINUX
#include <values.h>

#else//windows

// Max pos 32-bit int.
#define MAXINT		((int)0x7fffffff)	
// Max negative 32-bit integer.
#define MININT		((int)0x80000000)	

#ifndef _MSC_VER // bk: windows headers now have these
#define MAXCHAR		((char)0x7f)
#define MAXSHORT	((short)0x7fff)
#define MAXLONG		((long)0x7fffffff)
#define MINCHAR		((char)0x80)
#define MINSHORT	((short)0x8000)
#define MINLONG		((long)0x80000000)
#endif// _MSC_VER

#endif//windows




#endif
//-----------------------------------------------------------------------------
//
// $Log:$
//
//-----------------------------------------------------------------------------
